Bug 841518 - Get incorrect page when creating app and opening other page at the same time.
Get incorrect page when creating app and opening other page at the same time.
Status: CLOSED CANTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 05:35 EDT by Mengjiao Gao
Modified: 2015-05-14 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 17:50:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Incorrect My account page with some app information in the page. (210.71 KB, image/png)
2012-07-19 05:35 EDT, Mengjiao Gao
no flags Details
The related correct app get started page. (248.05 KB, image/png)
2012-07-19 05:36 EDT, Mengjiao Gao
no flags Details
Another example when entered a create application page and created an app in the meanwhile. (240.90 KB, image/png)
2012-07-19 05:38 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-07-19 05:35:10 EDT
Created attachment 599099 [details]
Incorrect My account page with some app information in the page.

Description of problem:
When I was creating an drupal app, I tried to open My account page during the creating time. And then I get a created drupal successful page and a incorrect My account page shown in attachment.
In the My account page, there are some information belonged to the app/get_started information. 
It seems like the server have some problems when showing two different page at the same time.

Version-Release number of selected component (if applicable):
devenv_1902

How reproducible:
random(60%)

Steps to Reproduce:
1.Go to the create application page ,and choose an application to create. 
2.Input valid app name and domain name, and click "create application" to start
3.During the creating time, try to entered My account page in a new tab.
4.Try to entered My account page in a new tab more times.
  
Actual results:
User will get a incorrect My account page sometimes.While the app get_started page is right.

Expected results:
Both the  My account page and app get_started page should display correct.

Additional info:
Comment 1 Mengjiao Gao 2012-07-19 05:36:15 EDT
Created attachment 599100 [details]
The related correct app get started page.
Comment 2 Mengjiao Gao 2012-07-19 05:38:04 EDT
Created attachment 599101 [details]
Another  example when entered a create application page and created an app in the meanwhile.
Comment 3 Clayton Coleman 2012-09-10 17:50:46 EDT
The information shown at the top of the page is stored as a cookie in the browser.  The cookie is set and cleared when the application/cart creation is complete, but it's possible to see this in multiple windows.

This is as designed and is how this feature is implemented in Rails.  No change possible.

Note You need to log in before you can comment on or make changes to this bug.